@import url("https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap");
body {
    background: #fff;
    font-family: "Nunito", sans-serif;
}
input.form-control {
    border-radius: 12px !important;
    background: #f8f9fa;
    border: 1.5px solid #ececec !important;
    padding: 12px 18px;
    font-size: 1.06rem;
    margin-bottom: 0px;
}
.logo {
    max-width: 200px;
    margin: 20px auto 10px auto;
    display: block;
}
.stepper {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 15px;
}
.stepper .step {
    margin: 0 15px;
    font-weight: 500;
    color: #222;
    cursor: default;
    position: relative;
    padding-bottom: 4px;
}
.stepper .active {
    color: #1a2235;
    border-bottom: 3px solid #ffe01b;
}
.main-content {
    padding: 0 5vw;
}
.rounded-card {
    /*background: #fff;
    border-radius: 2rem;
    border: 2px solid #ececec;*/
    padding: 2rem 1rem;
}
.destination-title {
    font-size: 4rem;
    font-weight: 900;
    line-height: 4rem;
}
.flow-title {
    font-size: 1.5rem;
    font-weight: 900;
    line-height: 2rem;
    display: flex;
    align-items: center;
    gap: 1rem;
}
.flow-title > svg {
    width: 2rem;
    height: 2rem;
    cursor: pointer;
}
.destination-desc {
    margin-top: 17px;
    font-size: 1.1rem;
    color: #43444f;
    font-weight: 400;
}
.flow-desc {
    margin-top: 0.5rem;
    color: #43444f;
    font-weight: 400;
}
.destination-cards {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 25px 22px;
}
.dest-card,
.ticket-card,
.addon-card {
    border: 2px solid #ececec;
    border-radius: 20px;
    padding: 0.4rem;
    text-align: center;
    transition: box-shadow 0.15s;
    background: #fff;
    cursor: pointer;
}
.dest-card:hover,
.ticket-card:hover,
.addon-card:hover {
    box-shadow: 0 0 10px #43309280;
}
.dest-img {
    width: 100%;
    border-radius: 1rem;
    object-fit: cover;
    border: 6px solid #edeef1;
    margin-bottom: 0.5rem;
}
.dest-name,
.addon-label {
    font-weight: 800;
    text-transform: uppercase;
    line-height: normal;
    letter-spacing: 0.5px;
    color: #000;
}
.calendar-table {
    user-select: none;
}
.calendar-table th,
.calendar-table td {
    width: 44px;
    height: 44px;
    text-align: center;
    vertical-align: middle;
    font-size: 17px;
}
.calendar-table td.disabled {
    background: #eee !important;
    color: #aaa;
    cursor: not-allowed;
}
.calendar-table td.selected {
    background: #ffe01b !important;
    color: #222;
    font-weight: bold;
    border-radius: 1rem;
}
.calendar-table td:not(.disabled):hover {
    background: #d8e5fa !important;
    cursor: pointer;
    border-radius: 1rem;
}
.calendar-nav,
.calendar-month {
    font-size: 1rem;
    font-weight: 600;
}
.calendar-nav > svg {
    width: 1.5rem;
    height: 1.5rem;
}
.calendar-nav[disabled] {
    color: #bbb;
    background: none;
    border: none;
    cursor: not-allowed;
}
.calendar-nav[disabled] > svg {
    cursor: not-allowed;
}
.wizard-btns {
    margin-top: 32px;
    display: flex;
    justify-content: space-between;
}
.wizard-btn {
    min-width: 120px;
    font-weight: 700;
    background: #2c3ab5;
    color: #fff;
    padding: 10px 34px;
    border-radius: 22px;
    border: none;
    font-size: 1.1rem;
    transition: background 0.15s;
}
.wizard-btn:hover {
    background: #ffe01b;
    color: #18171d;
}
.wizard-btn[disabled] {
    background: #c0c0c0;
    color: #eee;
    cursor: not-allowed;
}
.info-pill {
    padding: 5px 14px;
    border-radius: 2rem;
    background: #ffe01b;
    color: #1a2235;
    font-size: 0.9rem;
    line-height: 0.9rem;
}
.section-box {
    margin-bottom: 48px;
}
.hidden {
    display: none !important;
}
/*.tickets {
    border-radius: 2rem;
    border: 2px solid #ececec;
    background: #f6f7fa;
    padding: 1.5rem;
}*/
.ticket-accordion .accordion-item {
    border: unset;
    /*border-bottom: 2px solid #ececec;
    border-radius: 1rem;
    background: #ffffff;*/
    margin-bottom: 1rem;
}
.ticket-accordion .accordion-button {
    background: #fff;
    border: none;
    box-shadow: none;
    padding: 1rem;
    display: flex;
    align-items: center;
    gap: 1rem;
    transition: background 0.2s;
}
.ticket-accordion .accordion-button::after {
    background-image: url("data:image/svg+xml,%3Csvg width='21' height='21' viewBox='0 0 32 32' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Crect width='32' height='32' rx='16' fill='%23FCFDFF'/%3E%3Cpath d='M16 10V22M10 16H22' stroke='%23233574' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
    width: 34px;
    height: 34px;
    background-size: 34px 34px;
    border: none;
}
.ticket-accordion .accordion-body {
    background: transparent;
    padding: 0rem 1rem;
}
.ticket-icon-bg {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 48px;
    height: 48px;
    border-radius: 50%;
}
.ticket-title {
    font-weight: bold;
    text-transform: uppercase;
    font-size: 1rem;
    color: #233574;
}
.ticket-desc {
    font-weight: 500;
    font-size: 0.98rem;
    color: #535b6b;
    margin-bottom: 0px;
}
.ticket-card {
    border: 2px solid #ececec;
    border-radius: 1rem;
    padding: 0.5rem;
    background: #fff;
}
.ticket-card img {
    width: 100%;
    aspect-ratio: 1 / 1;
    border-radius: .5rem;
}
.ticket-card .ticket-label { font-weight: bold; }
.ticket-card .ticket-sub { color: #535b6b; font-size: 0.8rem; }
.ticket-card .price { font-weight: 800; }
.wizard-btn {
    background: #2341d1;
    color: #fff;
    font-weight: 700;
    padding: 0.8rem 2rem;
    border-radius: 2rem;
    border: none;
    font-size: 1.11rem;
    transition: background 0.2s;
}
.wizard-btn:hover {
    background: #ffe01b;
    color: #21294b;
}
.input-group input.form-control {
    background: #fcfdff;
    border-radius: 1rem 0 0 1rem;
}
.input-group .btn {
    border-radius: 0 1rem 1rem 0;
}
.total-bar {
    border-top: 2px solid #ececec;
    padding-top: 1rem;
    margin-top: 1rem;
}
.quantity-box {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}
.qty-btn {
    border: 2px solid #2341d1;
    background: #fff;
    color: #2341d1;
    font-weight: bold;
    font-size: 1.2rem;
    width: 30px; height: 30px; border-radius: 4px;
}
.qty-btn:active { background:#e6ebff; }
.qty-value {
    min-width: 32px; text-align: center; font-size: 1.1rem; font-weight: bold;
}
.park-tag {
  background: #ffe01b;
  color: #1a2235;
  padding: 6px 22px;
  border-radius: 18px;
  font-weight: 700;
  font-size: 1rem;
}
.summary-group, .ticket-group {
  background:#f6f7fa;
  border-radius: 18px;
  padding: 20px 18px 16px 18px;
  margin-bottom: 20px;
}
.summary-label {
  font-size: 1rem;
  color: #787b87;
  font-weight: 500;
}
.summary-value {
  font-size: 1.11rem;
  font-weight: 700;
  color: #121f35;
}
.total-value {
  color: #1a2235;
  font-size: 1.04rem;
  font-weight: 700;
}
.visitor-icon {
  font-size: 1.04rem;
}
.ticket-summary-label {
  font-weight: 700;
  font-size: 1.09rem;
  color: #2d3755;
}
.modify-btn {
  background: none;
  border: none;
  color: #2341d1;
  font-weight: 700;
  font-size: 1.0rem;
  cursor: pointer;
  padding: 6px 12px;
  border-radius: 12px;
  transition: background 0.18s;
}
.modify-btn:hover {
  background: #ececec;
}
.edit-icon {
  color: #2341d1;
  margin-right: 7px;
  vertical-align: middle;
}
.ticket-item {
  background: #fff;
  border: 2px solid #ececec;
  border-radius: 1rem;
  padding: .7rem 1rem .7rem .7rem;
  margin-bottom: 10px;
}
.ticket-type {
  font-size: 1.03rem;
  color: #1a2235;
}
.price-per {
  font-weight: 700;
  font-size: 1.09rem;
}
.charges-summary {
  padding: 0px 3px;
  font-size: 1.14rem;
}
.grand-total {
  font-weight:900;
  font-size:1.17rem;
  color: #233574;
  margin-top:10px;
}
.billing-title {
  font-size: 1.19rem;
  font-weight: bold;
  color: #1a2235;
  margin-bottom: 16px;
  letter-spacing: 0.2px;
}
.flag-prepend {
  border-radius: 12px 0 0 12px !important;
  border: 1.5px solid #ececec !important;
  background: #f5f7fa;
  font-size: 1.08rem;
}
.pay-label {
  font-size: 0.98rem;
  font-weight:500;
  color: #363c5b;
  margin-bottom: 4px;
}
.form-check-label a {
  text-decoration: underline;
  color: #2341d1;
}
.proceed-pay-btn {
  background: #2341d1;
  color: #fff;
  font-weight: 800;
  padding: 0.85rem 0;
  font-size: 1.15rem;
  border: none;
  border-radius: 2rem;
  margin-top:15px;
  margin-bottom: 5px;
  text-align:center;
  transition: background 0.19s;
}
.proceed-pay-btn:hover {
  background: #ffe01b;
  color: #233574;
}
@media (max-width: 992px) {
    .main-content {
        padding: 0;
    }
    .rounded-card {
        flex-direction: column;
        padding: 33px 8px;
    }
    .destination-cards,
    .ticket-cards,
    .addon-cards {
        grid-template-columns: 1fr;
    }
    .wizard-btns {
        flex-direction: column;
        gap: 20px;
    }
    .wizard-btn {
        width: 100%;
    }
    .booking-summary-col, .billing-summary-col { margin-bottom:28px; }
  .section-box { padding: 18px !important; }
  .flow-title {
        font-size: 1.2rem;
        gap: .5rem;
    }
    .flow-title > svg {
        width: 1.5rem;
        height: 1.5rem;
    }
}
